'----------------------------------------------------------
'Quellprogramm: FEIGE2.BAS
'----------------------------------------------------------
'Berechnung des Feigenbaum-Diagramms fuer die
'Iteration x(n+1) = x(n)^2 + a
'----------------------------------------------------------

SCREEN 12                  'VGA, 640 x 480 Pixel, 16 Farben
px = 600: py = 400         'Bildschirmbereich

amin = -2: amax = 1            'mathematischer Bereich
xmin = -2: xmax = 2

aschritt = (amax - amin) / px     'Schrittweite
xschritt = (xmax - xmin) / py

FOR sx = 0 TO px
a = amin + sx * aschritt          'Parameter
   x = 0                          'Startwert
   FOR i = 1 TO 800               'Iteration
      x = x ^ 2 + a
      IF x > xmax THEN EXIT FOR
      IF i > 400 THEN
         zy = (xmax - x) / xschritt
         PSET (sx, zy), 12
      END IF
   NEXT i
NEXT sx

FOR i = 0 TO px STEP px / 30      'Gitternetz
   LINE (i, py)-(i, 0)
NEXT i
FOR j = 0 TO py STEP py / 20
   LINE (0, j)-(px, j)
NEXT j

END


