'------------------------------------------------
'Quellprogramm: GRAFIT2.BAS
'------------------------------------------------
'Grafische Iteration eines Intervalls
'------------------------------------------------
'Eingabewerte:
a = -2          'Parameter a
x0 = .8         'Startwert x0
delx = .05      'Intervallbreite delta x
n = 5           'Anzahl der Iterationen nmax
'------------------------------------------------

SCREEN 12
px = 620: py = 420

xmin = -2: xmax = 2
ymin = -2: ymax = 2

xschritt = (xmax - xmin) / px
yschritt = (ymax - ymin) / py


FOR sx = 0 TO px                   'Iterationsfunktion zeichnen
   x = xmin + sx * xschritt
   GOSUB funktion
   IF y > ymax THEN GOTO 100
   zy = (ymax - y) / yschritt
   PSET (sx, zy), 12
100 : NEXT sx

FOR sx = 0 TO px                   'Winkelhalbierende zeichnen
   x = xmin + sx * xschritt
   y = x
   IF y > ymax THEN EXIT FOR
   zy = (ymax - y) / yschritt
   PSET (sx, zy), 12
NEXT sx

FOR x1 = x0 TO x0 + delx STEP delx / 15      'Iteration
   x = x1
   sx = (x - xmin) / xschritt
   zy = ymax / yschritt
   PSET (sx, zy)
   FOR i = 1 TO n
      GOSUB funktion
      IF y > ymax THEN EXIT FOR
      zy = (ymax - y) / yschritt
      LINE -(sx, zy), 10
      x = y
      sx = (x - xmin) / xschritt
      LINE -(sx, zy), 10
   NEXT i
NEXT x1

END

funktion:
   y = x ^ 2 + a
RETURN



