'------------------------------------------------
'Quellprogramm: KWURZEL1.BAS
'------------------------------------------------
'Berechnung der Wurzel aus einer komplexen
'Zahl
'------------------------------------------------
'Eingabewerte:
p = 1                 'Wurzel (p + iq)
q = 1
'------------------------------------------------

CLS

IF q = 0 THEN
   IF p <= 0 THEN
      u1 = 0: u2 = 0
      v1 = SQR(-p): v2 = -v1
   ELSE
      u1 = SQR(p): u2 = -u1
      v1 = 0: v2 = 0
   END IF
ELSE
   u1 = SQR((p + SQR(p ^ 2 + q ^ 2)) / 2): u2 = -u1
   IF u1 = 0 THEN v1 = SQR(-p) ELSE v1 = q / 2 / u1
   v2 = -v1
END IF

PRINT "WURZEL ("; p; " + "; q; "*i)"
PRINT "Z1 = ("; u1; "; "; v1; ")"
PRINT "Z2 = ("; u2; "; "; v2; ")"

END

