'------------------------------------------------------
'Quellprogramm: GRAFIT1.BAS
'------------------------------------------------------
'Grafische Iteration
'------------------------------------------------------
'Eingabewerte:
a = -.5            'Parameter a
x0 = -1.15         'Startwert x0
m = 1              'Iterierte m
n = 50             'Anzahl der Iterationen nmax
'------------------------------------------------------

SCREEN 12
px = 420: py = 420               'Bildschirmbereich

xmin = -2: xmax = 2              'mathematischer Bereich
ymin = -2: ymax = 2

xschritt = (xmax - xmin) / px    'Schrittweite
yschritt = (ymax - ymin) / py


FOR sx = 0 TO px              'Darstellung der Iterationsfunktion
   x = xmin + sx * xschritt   'y1 = y(x)
   GOSUB funktion
   IF y > ymax THEN GOTO 100
   zy = (ymax - y) / yschritt
   PSET (sx, zy), 12
100 : NEXT sx

FOR sx = 0 TO px               'Darstellung der Winkelhalbierenden
   x = xmin + sx * xschritt    'y2 = x
   y = x
   IF y > ymax THEN EXIT FOR
   zy = (ymax - y) / yschritt
   PSET (sx, zy), 12
NEXT sx

'Achsenkreuz
LINE (0, ymax / yschritt)-((xmax - xmin) / xschritt, ymax / yschritt)
LINE (-xmin / xschritt, 0)-(-xmin / xschritt, (ymax - ymin) / yschritt)

FOR i = 0 TO px STEP px / 20     'Gitternetz
  'LINE (i, py)-(i, 0)
NEXT i
FOR j = 0 TO py STEP py / 20
  'LINE (0, j)-(px, j)
NEXT j

x = x0                            'Startpunkt   
sx = (x - xmin) / xschritt
zy = ymax / yschritt
PSET (sx, zy)
CIRCLE (sx, zy), 3, 10

FOR i = 1 TO n                    'Linienzug
   GOSUB funktion
   IF y > ymax THEN EXIT FOR
   zy = (ymax - y) / yschritt
   LINE -(sx, zy), 10
   x = y
   sx = (x - xmin) / xschritt
   LINE -(sx, zy), 10
NEXT i

PRINT "Grenzpunkt:"
PRINT "x = "; x

END

funktion:            'Festlegung der Iterationsfunktion
  FOR j = 1 TO m
    x = x ^ 2 + a
  NEXT j
  y = x
RETURN



