'-------------------------------------------------------
'Quellprogramm: KFOLGE2.BAS
'-------------------------------------------------------
'Berechnung der Bahn der komplexen Iteration
'z(n+1) = z(n)^2 + c
'-------------------------------------------------------
'Eingabewerte:
x = 0               'komplexer Startwert z0 = (x0, y0)
y = 0
a = -1.15           'Parameter c = (a, b)
b = .25
nmax = 500          'Anzahl der Iterationen nmax
'-------------------------------------------------------

CLS
PRINT
PRINT
zbetrag = SQR(x ^ 2 + y ^ 2)
PRINT USING "###  ##.######  ##.######  ##.######"; 0; x; y; zbetrag

FOR i = 1 TO nmax               'Iterationsschleife
   xx = x ^ 2 - y ^ 2 + a          'Hilfsgroesse
   y = 2 * x * y + b               'Imaginaerteil
   x = xx                          'Realteil
   zbetrag = SQR(x ^ 2 + y ^ 2)
   PRINT USING "###  ##.######  ##.######  ##.######"; i; x; y; zbetrag
NEXT i

LOCATE 1, 1
PRINT " n   x(n)       y(n)        Betrag von z(n)"
PRINT "-------------------------------------------"
END

